Bug 1251311 - Dashboard Graph widgets fail to load when revisiting the dashboard
Dashboard Graph widgets fail to load when revisiting the dashboard
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
All All
high Severity urgent
: GA
: 5.5.0
Assigned To: Martin Povolny
Milan Falešník
: ZStream
Depends On:
Blocks: 1253804
  Show dependency treegraph
 
Reported: 2015-08-06 20:25 EDT by Kevin Morey
Modified: 2015-12-08 08:26 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1253804 (view as bug list)
Environment:
Last Closed: 2015-12-08 08:26:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshots showing the spinning wheel and then blocking the plug-in (40.79 KB, application/pdf)
2015-08-06 20:25 EDT, Kevin Morey
no flags Details

  None (edit)
Description Kevin Morey 2015-08-06 20:25:10 EDT
Created attachment 1060138 [details]
screenshots showing the spinning wheel and then blocking the plug-in

Description of problem:
Since 5.4 has been released we have been noticing that the dashboard graph widgets work the first time but then when the dashboard is revisited during the same session they fail to load the graphs. I showed this to oleg at Summit and the work-a-round and i am finally getting around to opening a BZ on this. This is dramatically impacting our demos. So far i have seen this happen on FF and Chrome on Mac OS X and on RHEL7 with FF.


Version-Release number of selected component (if applicable):
5.4.1.0

How reproducible:
100%

Steps to Reproduce:
1. Log into my appliance 10.11.164.87
2. you will see the dashboard load so navigate to some other area i.e. / Automte / customization
3. then click on the dashboard again

Actual results:
The Adobe Flash plug-in fails to load.

Expected results:
Expecting the widgets to load properly

Additional info:
The current work-a-around is to block the plug-in and re-enable it.
Comment 4 Martin Povolny 2015-08-13 11:01:26 EDT
Hot fix is in place on 10.11.164.87. Please, check and confirm, then I create a MR for the next release.
Comment 12 CFME Bot 2015-08-14 12:27:36 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/c8ced273319bec6e2bd91c6d88e2150c57fb304d

commit c8ced273319bec6e2bd91c6d88e2150c57fb304d
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Thu Aug 13 17:52:02 2015 +0200
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Thu Aug 13 17:52:02 2015 +0200

    Make sure browser variable is instantiated early in the page.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1251311

 app/views/layouts/_global_footer.html.haml | 3 ---
 app/views/layouts/_global_header.html.haml | 4 ++++
 2 files changed, 4 insertions(+), 3 deletions(-)
Comment 18 CFME Bot 2015-08-18 18:08:35 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/58d96ee26a90aaff977d2525fb7ef37466e29d04

commit 58d96ee26a90aaff977d2525fb7ef37466e29d04
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Fri Aug 14 15:11:02 2015 +0200
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Sat Aug 15 09:17:28 2015 +0200

    Fix a race condition in Loaded_Chart.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1251311

 app/assets/javascripts/miq_application.js | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)
Comment 19 CFME Bot 2015-08-18 18:09:23 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/58d96ee26a90aaff977d2525fb7ef37466e29d04

commit 58d96ee26a90aaff977d2525fb7ef37466e29d04
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Fri Aug 14 15:11:02 2015 +0200
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Sat Aug 15 09:17:28 2015 +0200

    Fix a race condition in Loaded_Chart.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1251311

 app/assets/javascripts/miq_application.js | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)
Comment 20 CFME Bot 2015-08-18 18:11:00 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/58d96ee26a90aaff977d2525fb7ef37466e29d04

commit 58d96ee26a90aaff977d2525fb7ef37466e29d04
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Fri Aug 14 15:11:02 2015 +0200
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Sat Aug 15 09:17:28 2015 +0200

    Fix a race condition in Loaded_Chart.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1251311

 app/assets/javascripts/miq_application.js | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)
Comment 21 Milan Falešník 2015-09-18 10:33:41 EDT
So, to reproduce this, one should have data for widgets so they get generated, then log in from a fresh session, see the dashboard working, go somewhere else and then return back to see that it does not work, right? No other prerequisities?
Comment 22 Kevin Morey 2015-09-18 12:48:03 EDT
None that i am aware of.
Comment 23 Milan Falešník 2015-10-12 09:05:04 EDT
Verified in 5.5.0.5. The widgets work after revisiting the Dashboard page.

However this bug MUST BE verified in Firefox. This error does not appear in Chrome when using 5.4.1.0 (which is the version where it is reported as broken).
Comment 25 errata-xmlrpc 2015-12-08 08:26:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.